Correct Transformation of MGI Austria Lambert to WGS 84 needed

2010-05-12 04:54 AM - gmirzi -

Status: Closed

Priority: Low

Assignee:

Category: Projection Support

Pull Request or Patch supplied:No Resolution: up/downstream

Easy fix?: No Copied to github as #: 12765

Description

Hello,

I want to export a layer with MGI Austria Lambert (EPSG 31287) to WGS 84 (EPSG 4326) with fTools. The problem ist that the result has

an x- and y-axis error of 100 meters or so because the transformation doesn't use the right parameters. For MGI to WGS 84 there are

some different transformation methods but only MGI_To_WGS_1984_3 (EPSG 1618) is the one that is right and that is recommended by

the official Austrian Institute BEV.

see also:  http://img293.imageshack.us/img293/7675/transformation.png

and the correct parameters below:

Is it possible to change the parameters in QGIS transformation manually (user defined projection) or can you implement this function as a

new transformation?

Thank you!

regards,

Philipp

using QGIS 1.5 under XP

1618    MGI_To_WGS_1984_3

GEOGTRAN[[MGI_To_WGS_1984_3"GEOGCS["GCS_MGI"DATUM["D_MGI"SPHEROID["Bessel_1841"63773971552991528128]]P

IMEM["Greenwich"00]UNIT["Degree"00174532925199433]]GEOGCS["GCS_WGS_1984"DATUM["D_WGS_1984"SPHEROID["WGS_1984"63781370298257223563]]PRIMEM["Greenwich"00]UNIT["Degree"00174532925199433]]METHOD["Position_Vector

984"63781370298257223563]]PRIMEM["Greenwich"00]UNIT["Degree"00174532925199433]]METHOD["Position_Vector"]PARAMETER["X_Axis_Translation"577326]PARAMETER["Y_Axis_Translation"90129]PARAMETER["Z_Axis_Translation"463919]PARAMETER["X_Axis_Rotation"5137]PARAMETER["Y_Axis_Rotation"1474]PARAMETER["Z_Axis_Rotation"5297]PARAMETER

R["X_Axis_Translation"577326]PARAMETER["Y_Axis_Translation"90129]PARAMETER["Z_Axis_Translation"463919]PARAMETER["X_Axis_Rotation"5137]PARAMETER["Y_Axis_Rotation"1474]PARAMETER["Z_Axis_Rotation"5297]PARAMETER["Scale_Difference]]

_Axis_Rotation"5137]PARAMETER["Y_Axis_Rotation"1474]PARAMETER["Z_Axis_Rotation"5297]PARAMETER["Scale_Difference]]

Source:

http://gullhver.os.is/website/ArcXML_Guide/Support_files/elements/dattrans.htm

History

#1 - 2010-05-12 05:06 AM - Giovanni Manghi

Just add a custom reference system in your QGIS installation

#2 - 2010-06-11 11:36 PM - Paolo Cavallini

If very widely used, this can be added to the projection internal DB
#3 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2016-06-17 05:30 AM - Anita Graser

- Operating System deleted (Windows)

- Pull Request or Patch supplied set to No

- OS version deleted (XP)

- Assignee deleted (nobody -)

I think MGI Austria Lambert is now correct, current proj4 string is:

+proj=lcc +lat_1=49 +lat_2=46 +lat_0=47.5 +lon_0=13.33333333333333 +x_0=400000 +y_0=400000 +ellps=bessel

+towgs84=577.326,90.129,463.919,5.137,1.474,5.297,2.4232 +units=m +no_defs

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2019-05-24 08:03 AM - Nyall Dawson

- Resolution set to up/downstream

- Description updated

- Status changed from Open to Closed

With QGIS 3.8 and the release of proj 6 library, any remaining projection definition related issues now should be filed with the proj project.
